Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Protected Member Functions | List of all members
DecodeAsModel Class Reference
Inheritance diagram for DecodeAsModel:

## Public Types
enum | DecodeAsColumn { colTable = 0, colSelector, colType, colDefault, colProtocol, colDecodeAsMax }

## Public Member Functions
| DecodeAsModel (QObject *parent, capture_file *cf=NULL)
Qt::ItemFlags | flags (const QModelIndex &index) const
QVariant | data (const QModelIndex &index, int role) const
QVariant | headerData (int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const
int | rowCount (const QModelIndex &parent=QModelIndex()) const
int | columnCount (const QModelIndex &parent=QModelIndex()) const
bool | setData (const QModelIndex &index, const QVariant &value, int role=Qt::EditRole)
void | fillTable ()
void | setDissectorHandle (const QModelIndex &index, dissector_handle_t dissector_handle)
bool | insertRows (int row, int count, const QModelIndex &parent=QModelIndex())
bool | removeRows (int row, int count, const QModelIndex &parent=QModelIndex())
bool | copyRow (int dst_row, int src_row)
void | applyChanges ()

## Static Public Member Functions
static QString | entryString (const gchar *table_name, gpointer value)

## Static Protected Member Functions
static void | buildChangedList (const gchar *table_name, ftenum_t selector_type, gpointer key, gpointer value, gpointer user_data)
static void | buildDceRpcChangedList (gpointer data, gpointer user_data)
static void | gatherChangedEntries (const gchar *table_name, ftenum_t selector_type, gpointer key, gpointer value, gpointer user_data)

The documentation for this class was generated from the following files:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/models/decode_as_model.h
- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/models/decode_as_model.cpp